<template>
  <NuxtLink
    :to="{ name: $routesList.officeProductsId, params: {id: product.id}}"
    class="flex flex-col group w-[300px]"
  >
    <div class="aspect-w-1 aspect-h-1 w-full overflow-hidden rounded-lg bg-gray-200 xl:aspect-w-7 xl:aspect-h-8">
      <nuxt-img
        :src="product.card.cover.src"
        width="300"
        height="300"
        loading="lazy"
      />
    </div>
    <div><app-multilang-string :str="product.card.title"/></div>
    <div>{{ product.price.amd }} ֏</div>

    <product-add-to-cart-button
      :product="product"
    />
  </NuxtLink>
</template>

<script setup lang="ts">
  import type { PropType } from 'vue';
  import type { MenuProduct } from '~/composable/restaurant/useRestaurantMenu';

  const props = defineProps({
    product: {
      type: Object as PropType<MenuProduct>,
      required: true,
    }
  })
</script>